.chain-selector-root {
    /* position: relative;
    width: fit-content; */
}

.chain-selector-root .selection-container {
    display: flex;
    align-items: stretch;
    height: 35px;
    max-width: 350px;
    overflow-x: auto;
    overflow-y: hidden;
}
/* make the scrollbar thinner */
.chain-selector-root .selection-container::-webkit-scrollbar {
    height: 6px;
}
.chain-selector-root .selection-container::-webkit-scrollbar-track {
    background: #f1f1f1;
}
.chain-selector-root .selection-container::-webkit-scrollbar-thumb {
    background: #888;
    border-radius: 10px;
}

.chain-selector-root .selection-container > .item {
    position: relative;
    display: flex;
    align-items: center;
    background: linear-gradient(0deg, #2271b1, hsl(207deg 68% 54%));
    color: white;
    height: 32px;
    padding: 0px 10px;
    padding-right: 16px;
    width: fit-content;
    cursor: pointer;
    margin-right: 2px;
}

.chain-selector-root .selection-container > .item:first-child {
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
}

.chain-selector-root .selection-container > .item > .actions {
    position: absolute;
    right: 5px;
    opacity: 0;
    transition: opacity 0.2s;
    pointer-events: none;
}
.chain-selector-root .selection-container > .item:hover > .actions {
    opacity: 1;
    pointer-events: all;
}



.chain-selector-root .selection-container > .new-item > input {
    width: 150px;
}




.chain-selector-root .autocomplete-list {
    position: absolute;
    /* right: 0; */
    /* width: 150px; */
    max-height: 200px;
    overflow-y: auto;
    background: #ebebeb;
    box-shadow: 0 2px 6px -5px black;
    z-index: 1111;
}
/* Make the scrollbar thinner */
.chain-selector-root .autocomplete-list::-webkit-scrollbar {
    width: 10px;
}
.chain-selector-root .autocomplete-list::-webkit-scrollbar-track {
    background: #f1f1f1;
}
.chain-selector-root .autocomplete-list::-webkit-scrollbar-thumb {
    background: #888;
    border-radius: 10px;
}

.chain-selector-root .autocomplete-list > .item {
    padding: 0.5rem;
    cursor: pointer;
}

.chain-selector-root .autocomplete-list > .item:hover {
    background: #d1d1d1;
}

.chain-selector-root .autocomplete-list > .item > .item-label {
    font-weight: bold;
}
